Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		faad2
Version:	2.5
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.audiocoding.com
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-2.0-makefile.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder.
BuildRequires:	dos2unix
BuildRequires:	glibc-devel


%description
FAAD2 is a HE, LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder.
FAAD2 includes code for SBR (HE AAC) decoding.
For more details see: http://www.audiocoding.com

%package devel
Summary: %{name} development headers.
Group: %{group}            
Requires: %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}
#%patch0 -p1 -b -makefile

%build
#aclocal -I .
#autoheader
#libtoolize --automake --copy
#automake --add-missing --copy
#autoconf
mkdir -p plugins/bmp
dos2unix bootstrap
./bootstrap
echo > plugins/Makefile.am &&
echo > plugins/xmms/src/Makefile.am &&
sed -i '/E_B/d' configure.in &&
autoreconf -vif
./configure 	--prefix=%_prefix \
		--with-xmms \
  		--with-drm 
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.0.0.0

%files devel
%defattr(-,root,root)
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_libdir/*.so.0
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Dec 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.5-1
- Version update
* Mon Jul 11 2005 Christian Wasem <wasem@ccux-linux.de> 2.0-3
- added makefile.patch
* Mon Jul 11 2005 Christian Wasem <wasem@ccux-linux.de> 2.0-2
- rebuild for source rpm
